
Foreman - Bug #23376

Unable to seed develop with MariaDB 10.2: No integer type has byte size 10. Use a decimal with scale

0 instead.

04/24/2018 08:05 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Database   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5484

  

Description

VLANID has 10 bytes, which is an overkill.

Related issues:

Related to Foreman - Bug #1916: Wrong sorting of VLANs and Networks in Subnet... Closed 10/24/2012

Associated revisions

Revision d91d77e2 - 05/31/2018 07:22 AM - Lukas Zapletal

Fixes #23376 - subnet.vlanid size is 4 bytes

History

#1 - 04/24/2018 08:12 AM - Lukas Zapletal

- Related to Bug #1916: Wrong sorting of VLANs and Networks in Subnets overview added

#2 - 04/24/2018 08:16 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5484 added

#3 - 05/31/2018 07:22 AM - Tomer Brisker

- translation missing: en.field_release set to 353

#4 - 05/31/2018 08:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d91d77e2d491e6e45f0fff58d359317bdb1d0399.
